From 2b74fd3ba2e4d14484b81b53efc06f14cdfe640e Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat.oss@gmail.com>
Date: Thu, 3 Apr 2025 17:33:13 +0530
Subject: [PATCH 2/2] Fix an inaccurate comment

The comment before SQL statement checking the triggers on the partition
hierarchy mentions "number of triggers" but it is actually checking the triggers
themselves. Fix the comment.

Author: Ashutosh Bapat
---
 src/test/regress/expected/foreign_key.out | 2 +-
 src/test/regress/sql/foreign_key.sql      | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/test/regress/expected/foreign_key.out b/src/test/regress/expected/foreign_key.out
index 15782da9c97..c6afb1262f0 100644
--- a/src/test/regress/expected/foreign_key.out
+++ b/src/test/regress/expected/foreign_key.out
@@ -1786,7 +1786,7 @@ ORDER BY tgrelid, tgtype;
 
 -- Changing it back to ENFORCED will recreate the necessary triggers.
 ALTER TABLE fk_partitioned_fk ALTER CONSTRAINT fk_partitioned_fk_a_b_fkey ENFORCED;
--- Should be exactly the same number of triggers found as before
+-- Should be exactly the same triggers found as before
 SELECT conname, tgrelid::regclass as tgrel, regexp_replace(tgname, '[0-9]+', 'N') as tgname, tgtype
 FROM pg_trigger t JOIN pg_constraint c ON (t.tgconstraint = c.oid)
 WHERE tgrelid IN (SELECT relid FROM pg_partition_tree('fk_partitioned_fk'::regclass)
diff --git a/src/test/regress/sql/foreign_key.sql b/src/test/regress/sql/foreign_key.sql
index e68c19d6c4b..2b11cc8775c 100644
--- a/src/test/regress/sql/foreign_key.sql
+++ b/src/test/regress/sql/foreign_key.sql
@@ -1313,7 +1313,7 @@ ORDER BY tgrelid, tgtype;
 -- Changing it back to ENFORCED will recreate the necessary triggers.
 ALTER TABLE fk_partitioned_fk ALTER CONSTRAINT fk_partitioned_fk_a_b_fkey ENFORCED;
 
--- Should be exactly the same number of triggers found as before
+-- Should be exactly the same triggers found as before
 SELECT conname, tgrelid::regclass as tgrel, regexp_replace(tgname, '[0-9]+', 'N') as tgname, tgtype
 FROM pg_trigger t JOIN pg_constraint c ON (t.tgconstraint = c.oid)
 WHERE tgrelid IN (SELECT relid FROM pg_partition_tree('fk_partitioned_fk'::regclass)
-- 
2.34.1

